Bug 1268229 - automated CI checks improvements in the ovirt-3.6 branch
automated CI checks improvements in the ovirt-3.6 branch
Status: CLOSED NEXTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity low (vote)
: ovirt-3.6.0-rc3
: 4.17.9
Assigned To: Petr Horáček
Aharon Canan
infra
:
Depends On: 1267851
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 04:46 EDT by Petr Horáček
Modified: 2016-02-10 14:11 EST (History)
4 users (show)

See Also:
Fixed In Version: v4.17.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1267851
Environment:
Last Closed: 2015-10-26 08:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danken: ovirt‑3.6.0?
rule-engine: planning_ack?
danken: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46928 ovirt-3.6 MERGED automation: enable pep8 Never
oVirt gerrit 46929 ovirt-3.6 MERGED automation: add build_artifacts Never
oVirt gerrit 46930 ovirt-3.6 MERGED fix pep8 errors Never
oVirt gerrit 47132 ovirt-3.6 MERGED tests: fixed mangled names in crossImportTests Never
oVirt gerrit 47680 ovirt-3.6 MERGED automation: use proper repos Never
oVirt gerrit 47682 ovirt-3.6 MERGED hostdev: fix pep8 line length violation Never

  None (edit)
Description Petr Horáček 2015-10-02 04:46:07 EDT
+++ This bug was initially created as a clone of Bug #1267851 +++

Description of problem:
We need to backport the automation scripts to the ovirt-3.5 stable branch.
This is safe -no code change involved at all-, and we can reuse all the work done on more modern branches.

This bug is to track this operation


Version-Release number of selected component (if applicable):
4.16.27

How reproducible:
100%

Steps to Reproduce:
1. submit a patch to gerrit, targeting ovirt-3.5 branch

Actual results:
No automated CI sanity checks and tests run

Expected results:
Automated CI sanity checks and tests should run

--- Additional comment from Francesco Romani on 2015-10-01 05:40:34 EDT ---

priority high, severity low: this doesn't directly impact any customer.
However, it greatly helps the maintainership effort
Comment 1 Petr Horáček 2015-10-02 04:47:32 EDT
This bug also applies to ovirt-3.6 branch. We should backport changes to 3.6 first.
Comment 2 Francesco Romani 2015-10-02 05:07:28 EDT
changing the subject, as the basic CI tests works in the 3.6 branch (counterproof: first two patches needed in 3.5 already merged in 3.6)
Comment 3 Petr Horáček 2015-10-13 10:03:27 EDT
All required patches were merged.
Comment 4 Red Hat Bugzilla Rules Engine 2015-10-18 04:22:04 EDT
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 5 Petr Horáček 2015-10-22 11:24:21 EDT
We need to merge automation changes on ovirt-3.5 and on jenkins.
Comment 6 Dan Kenigsberg 2015-10-26 08:41:52 EDT
the 3.6 branch now has proper (minimal) CI.

Note You need to log in before you can comment on or make changes to this bug.